package org.springblade.system.bladeuserex.social;

import me.zhyd.oauth.config.AuthDefaultSource;
import me.zhyd.oauth.config.AuthSource;
import me.zhyd.oauth.request.AuthDefaultRequest;
import me.zhyd.oauth.request.AuthGithubRequest;
import org.springframework.beans.factory.annotation.Autowired;

public enum AuthCustomizeSource implements AuthSource {

	CTWING {
		@Override
		public String authorize() {
			return "https://open.e.189.cn/api/logbox/oauth2/separate/unifyAccountLogin.do";
		}

		@Override
		public String accessToken() {
			return "https://open.e.189.cn/api/logbox/oauth2/accessToken.do";
		}

		@Override
		public String userInfo() {
			return "https://open.e.189.cn/openapi/asymauth/gbcs/getUserInfo.do";
		}

		@Override
		public Class<? extends AuthDefaultRequest> getTargetClass() {
			return AuthGithubRequest.class;
		}
	},
}
